Subject: Re: [GSoC][PATCH] merge: use reverse_commit_list() for list reversal

From: Kousik Sanagavarapu <[email-masked]>
Date: Fri, 3 Feb 2023 23:00:06 +0530

When I submitted the patch, I didn't realize that reverse_commit_list() helper
function had such behavior. It was very different from what I had expected.
Maybe I should have been more careful and looked into the details before
submitting the patch.

Thanks for your explanation, it was valuable. Especially on the part where you
explained about the try_merge_strategy() function, it helped me gain more
insight on the whole situation. Sorry for this patch, I will be more careful next time.

P.S. Please ignore the empty email, it was me trying to figure out git-send-email
and how could to reply to specific lines of the email by referencing them. The
email got sent by accident.